
QGIS Application - Bug report #11336

Copy / Paste PostGIS features problem

2014-10-06 01:46 AM - Pedro Venâncio

Status: Closed

Priority: Severe/Regression

Assignee: Jürgen Fischer

Category: Data Provider/PostGIS

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 19630

Description

When trying to copy features from a PostGIS layer in QGIS master to another, in the moment of pasting to the destination layer, I get the

warning message "Paste features: no features could be succesfully pasted.", however it does not show the reason.

https://dl.dropboxusercontent.com/u/5772257/qgis/warning_message_qgis_25.jpg

In previous versions (2.2 and 2.4), QGIS handled this issue differently. It allowed pasting and only when saving showed the error message

with details (violation of the unique constraint on the primary key field).

https://dl.dropboxusercontent.com/u/5772257/qgis/warning_message_qgis_22.jpg

https://dl.dropboxusercontent.com/u/5772257/qgis/warning_message_qgis_24.jpg

Even more strange... "Paste features: no features could be successfully pasted." warning only appears when selecting more than one

feature. Please see the screencast:

https://dl.dropboxusercontent.com/u/5772257/qgis/copy_paste/qgis_copy_paste.avi

Test data: https://dl.dropboxusercontent.com/u/5772257/qgis/copy_paste/tables2.sql

I also tested this with points, multipoints, and Multipolygons, and the same happens.

More details and discussion: http://osgeo-org.1560.x6.nabble.com/PostGIS-warning-details-in-QGIS-master-td5165271.html

Related issues:

Related to QGIS Application - Bug report # 11408: No longer possible to copy-... Closed 2014-10-14

Related to QGIS Application - Bug report # 12616: API: QgsVectorLayer::select... Closed 2015-04-21

Associated revisions

Revision d1e23a60 - 2014-10-15 04:57 PM - Jürgen Fischer

fix where clase when multiple features are filtered by id (fixes #11336, fixes #11408)

History

#1 - 2014-10-15 07:58 AM - Jürgen Fischer

- Status changed from Open to Closed

Fixed in changeset commit:"d1e23a608a2e5f8e043e68e53910acb9e854bbd1".
